enzymes = {
    "Category:Oxidoreductases": {
        "Dehydrogenase": {},
        "Luciferase": {},
        "DMSO reductase": {},
        "Category:EC 1.1": {
            "Category:EC 1.1.1": {
                "Alcohol dehydrogenase (NAD)": {},
                "Alcohol dehydrogenase (NADP)": {},
                "Homoserine dehydrogenase": {},
                "Aminopropanol oxidoreductase": {},
                "Diacetyl reductase": {},
                "Glycerol dehydrogenase": {},
                "Propanediol-phosphate dehydrogenase": {},
                "glycerol-3-phosphate dehydrogenase (NAD+)": {},
                "D-xylulose reductase": {},
                "L-xylulose reductase": {},
                "Lactate dehydrogenase": {},
                "Malate dehydrogenase": {},
                "Isocitrate dehydrogenase": {},
                "HMG-CoA reductase": {},
            },
            "Category:EC 1.1.2": {},
            "Category:EC 1.1.3": {
                "Glucose oxidase": {},
                "L-gulonolactone oxidase": {},
                "Thiamine oxidase": {},
                "Xanthine oxidase": {},
            },
            "Category:EC 1.1.4": {},
            "Category:EC 1.1.5": {},
            "Category:EC 1.1.99": {},
        },
        "Category:EC 1.2": {
            "Category:EC 1.2.1": {
                "Acetaldehyde dehydrogenase": {},
                "Glyceraldehyde 3-phosphate dehydrogenase": {},
                "Pyruvate dehydrogenase": {},
            },
            "Category:EC 1.2.4": {"Oxoglutarate dehydrogenase": {}},
        },
        "Category:EC 1.3": {
            "Category:EC 1.3.1": {"Biliverdin reductase": {}},
            "Category:EC 1.3.2": {},
            "Category:EC 1.3.3": {"Protoporphyrinogen oxidase": {}},
            "Category:EC 1.3.5": {},
            "Category:EC 1.3.7": {},
            "Category:EC 1.3.99": {},
        },
        "Category:EC 1.4": {"Category:EC 1.4.3": {"Monoamine oxidase": {}}},
        "Category:EC 1.5": {
            "Category:EC 1.5.1": {
                "Dihydrofolate reductase": {},
                "Methylenetetrahydrofolate reductase": {},
            },
            "Category:EC 1.5.3": {
                "Sarcosine oxidase": {},
                "Dihydrobenzophenanthridine oxidase": {},
            },
            "Category:EC 1.5.4": {},
            "Category:EC 1.5.5": {},
            "Category:EC 1.5.7": {},
            "Category:EC 1.5.8": {},
            "Category:EC 1.5.99": {},
        },
        "Category:EC 1.6": {
            "Category:EC 1.6.1": {},
            "Category:EC 1.6.2": {},
            "Category:EC 1.6.3": {},
            "Category:EC 1.8.1": {},
            "Category:EC 1.6.5": {"NADH dehydrogenase": {}},
            "Category:EC 1.6.6": {},
            "Category:EC 1.18.1": {},
            "Category:EC 1.5.1": {},
            "Category:EC 1.6.99": {},
        },
        "Category:EC 1.7": {
            "Category:EC 1.7.1": {},
            "Category:EC 1.7.2": {},
            "Category:EC 1.7.3": {"Urate oxidase": {}},
            "Category:EC 1.7.7": {},
            "Category:EC 1.7.99": {"Nitrite reductase": {}, "Nitrate reductase": {}},
        },
        "Category:EC 1.8": {
            "Category:EC 1.8.1": {
                "Glutathione reductase": {},
                "Thioredoxin reductase": {},
            },
            "Category:EC 1.8.2": {},
            "Category:EC 1.8.3": {"Sulfite oxidase": {}},
            "Category:EC 1.8.4": {},
            "Category:EC 1.8.5": {},
            "EC 2.5.1.18": {},
            "Category:EC 1.8.7": {},
            "Category:EC 1.8.98": {},
            "Category:EC 1.8.99": {},
        },
        "Category:EC 1.9": {
            "Category:EC 1.9.3": {"Cytochrome c oxidase": {}},
            "Category:EC 1.9.6": {},
            "EC 1.9.98.1": {},
        },
        "Category:EC 1.10": {
            "Category:EC 1.10.1": {},
            "Category:EC 1.10.2": {"Coenzyme Q - cytochrome c reductase": {}},
            "Category:EC 1.10.3": {"Catechol oxidase": {}, "Laccase": {}},
            "Category:EC 1.10.99": {},
        },
        "Category:EC 1.11": {
            "Category:EC 1.11.1": {
                "Cytochrome c peroxidase": {},
                "Catalase": {},
                "Myeloperoxidase": {},
                "Thyroid peroxidase": {},
                "Glutathione peroxidase": {},
            }
        },
        "Category:EC 1.12": {
            "Category:EC 1.12.1": {},
            "Category:EC 1.12.2": {},
            "Category:EC 1.12.5": {},
            "Category:EC 1.12.7": {},
            "Category:EC 1.12.98": {},
            "Category:EC 1.12.99": {},
        },
        "Category:EC 1.13": {
            "Category:EC 1.13.11": {"4-hydroxyphenylpyruvate dioxygenase": {}},
            "Category:EC 1.13.12": {
                "Renilla-luciferin 2-monooxygenase": {},
                "Cypridina-luciferin 2-monooxygenase": {},
                "Firefly luciferase": {},
                "Watasenia-luciferin 2-monooxygenase": {},
                "Oplophorus-luciferin 2-monooxygenase": {},
            },
        },
        "Category:EC 1.14": {
            "Cytochrome P450 oxidase": {},
            "Category:Cytochrome P450": {
                "Aromatase": {},
                "CYP2D6": {},
                "CYP2E1": {},
                "CYP3A4": {},
                "Cytochrome P450 oxidase": {},
            },
            "Category:EC 1.14.12": {"Nitric oxide dioxygenase": {}},
            "Category:EC 1.14.13": {"Nitric oxide synthase": {}},
            "Category:EC 1.14.14": {
                "Aromatase": {},
                "CYP2D6": {},
                "CYP2E1": {},
                "CYP3A4": {},
            },
            "Category:EC 1.14.16": {"Phenylalanine hydroxylase": {}},
            "Category:EC 1.14.18": {"Tyrosinase": {}},
        },
        "Category:EC 1.15": {"Category:EC 1.15.1": {"Superoxide dismutase": {}}},
        "Category:EC 1.16": {"Category:EC 1.16.3": {"Ceruloplasmin": {}}},
        "Category:EC 1.17": {
            "Category:EC 1.17.1": {
                "Leucoanthocyanidin reductase": {},
                "Xanthine dehydrogenase": {},
                "Nicotinate dehydrogenase": {},
                "4-hydroxy-tetrahydrodipicolinate reductase": {},
            },
            "Category:EC 1.17.2": {"Nicotinate dehydrogenase (cytochrome)": {}},
            "Category:EC 1.17.3": {"Xanthine oxidase": {}},
            "Category:EC 1.17.4": {
                "Ribonucleotide reductase": {},
                "Ribonucleoside-triphosphate reductase": {},
                "Vitamin K epoxide reductase": {},
                "Vitamin-K-epoxide reductase (warfarin-sensitive)": {},
                "Vitamin-K-epoxide reductase (warfarin-insensitive)": {},
                "RRM1": {},
                "RRM2": {},
                "RRM2B": {},
            },
            "Category:EC 1.17.5": {"Caffeine dehydrogenase": {}},
            "Category:EC 1.17.7": {},
            "Category:EC 1.17.99": {},
        },
        "Category:EC 1.18": {"Category:EC 1.18.6": {"Nitrogenase": {}}},
        "Category:EC 1.19": {"Category:EC 1.19.6": {"Nitrogenase (flavodoxin)": {}}},
        "Category:EC 1.20": {
            "Category:EC 1.20.1": {},
            "Category:EC 1.20.2": {},
            "Category:EC 1.20.4": {
                "Arsenate reductase (glutaredoxin)": {},
                "Glutaredoxin": {},
            },
            "Category:EC 1.20.9": {},
            "Category:EC 1.20.99": {},
        },
        "Category:EC 1.21": {
            "Category:EC 1.21.1": {"Iodotyrosine deiodinase": {}},
            "Category:EC 1.21.3": {
                "Isopenicillin N synthase": {},
                "Tetrahydrocannabinolic acid synthase": {},
            },
            "Category:EC 1.21.4": {},
            "Category:EC 1.21.99": {
                "Thyroxine 5-deiodinase": {},
                "Iodothyronine deiodinase": {},
            },
        },
        "Category:EC 1.97": {"Category:EC 1.97.1": {"Deiodinase": {}}},
    },
    "Category:Transferases": {
        "Glutathione S-transferase": {},
        "Category:EC 2.1": {
            "Category:EC 2.1.1": {
                "Catechol-O-methyl transferase": {},
                "DNA methyltransferase": {},
                "Histone methyltransferase": {},
            },
            "Category:EC 2.1.3": {
                "Aspartate transcarbamoylase": {},
                "Ornithine transcarbamoylase": {},
            },
        },
        "Category:EC 2.2": {
            "Category:EC 2.2.1": {
                "Transketolase": {},
                "Transaldolase": {},
                "Acetolactate synthase": {},
                "2-Succinyl-5-enolpyruvyl-6-hydroxy-3-cyclohexene-1-carboxylic-acid synthase": {},
            }
        },
        "Category:EC 2.3": {
            "Category:EC 2.3.1": {
                "Aminolevulinic acid synthase": {},
                "Choline acetyltransferase": {},
            },
            "Category:EC 2.3.2": {
                "Factor XIII": {},
                "Gamma glutamyl transpeptidase": {},
                "Transglutaminase": {},
            },
        },
        "Category:EC 2.4": {
            "Category:EC 2.4.2": {"Hypoxanthine-guanine phosphoribosyltransferase": {}},
            "Category:EC 2.5": {},
            "Category:EC 2.5.1": {"Thiaminase": {}},
        },
        "Category:EC 2.5": {"Flavin prenyltransferase": {}},
        "Category:EC 2.6": {
            "Category:EC 2.6.1": {
                "Alanine transaminase": {},
                "Aspartate transaminase": {},
            }
        },
        "Category:EC 2.7": {"Category:EC 2.7.2": {"Butyrate kinase": {}}},
        "Category:EC 2.8": {
            "Thiosulfate sulfurtransferase": {},
            "3-mercaptopyruvate sulfurtransferase": {},
            "Thiosulfate--thiol sulfurtransferase": {},
            "tRNA uracil 4-sulfurtransferase": {},
            "Thiosulfate--dithiol sulfurtransferase": {},
            "Biotin synthase": {},
            "Cysteine desulfurase": {},
            "Lipoyl synthase": {},
            "Molybdenum cofactor sulfurtransferase": {},
            "Thiazole synthase": {},
            "Molybdopterin synthase sulfurtransferase": {},
            "Molybdopterin synthase": {},
            "tRNA-uridine 2-sulfurtransferase": {},
            "tRNA-5-taurinomethyluridine 2-sulfurtransferase": {},
            "tRNA-5-methyluridine(54) 2-sulfurtransferase": {},
        },
        "Category:EC 2.9": {
            "L-seryl-tRNA(Sec) selenium transferase": {},
            "O-phospho-L-seryl-tRNA(Sec):L-selenocysteinyl-tRNA synthase": {},
        },
    },
    "Category:Hydrolases": {
        "Hydrolytic enzyme": {},
        "Category:EC 3.1": {
            "Nuclease": {},
            "Endonuclease": {},
            "Exonuclease": {},
            "Category:EC 3.1.1": {
                "Acid hydrolase": {},
                "Phospholipase": {},
                "Acetylcholinesterase": {},
                "Cholinesterase": {},
                "Lipoprotein lipase": {},
            },
            "Category:EC 3.1.2": {"Ubiquitin carboxy-terminal hydrolase L1": {}},
            "Category:EC 3.1.3": {
                "Phosphatase": {},
                "Alkaline phosphatase": {},
                "Fructose bisphosphatase": {},
            },
            "Category:EC 3.1.4": {
                "Phospholipase": {},
                "CGMP specific phosphodiesterase type 5": {},
            },
            "Category:EC 3.1.21": {"Restriction enzyme": {}, "Deoxyribonuclease": {}},
            "Category:EC 3.1.26": {"RNase H": {}},
            "Category:EC 3.1.27": {"Ribonuclease": {}},
        },
        "Category:EC 3.2": {
            "Category:EC 3.2.1": {
                "Amylase": {},
                "Sucrase": {},
                "Chitinase": {},
                "Lysozyme": {},
                "Maltase": {},
                "Lactase": {},
                "Beta-galactosidase": {},
                "Hyaluronidase": {},
            }
        },
        "Category:EC 3.3": {
            "Category:EC 3.3": {},
            "Adenosylmethionine hydrolase": {},
            "S-adenosyl-L-homocysteine hydrolase": {},
            "Alkenylglycerophosphocholine hydrolase": {},
            "Alkenylglycerophosphoethanolamine hydrolase": {},
            "Cholesterol-5,6-oxide hydrolase": {},
            "Hepoxilin-epoxide hydrolase": {},
            "Isochorismatase": {},
            "Leukotriene-A4 hydrolase": {},
            "Limonene-1,2-epoxide hydrolase": {},
            "Microsomal epoxide hydrolase": {},
            "Trans-epoxysuccinate hydrolase": {},
        },
        "Category:EC 3.4": {
            "Category:EC 3.4.11": {"Alanine aminopeptidase": {}},
            "Category:EC 3.4.15": {"Angiotensin converting enzyme": {}},
            "Category:EC 3.4.21": {
                "Serine protease": {},
                "Chymotrypsin": {},
                "Trypsin": {},
                "Thrombin": {},
                "Factor X": {},
                "Plasmin": {},
                "Acrosin": {},
                "Factor VII": {},
                "Factor IX": {},
                "Prolyl oligopeptidase": {},
                "Factor XI": {},
                "Elastase": {},
                "Factor XII": {},
                "Proteinase K": {},
                "Tissue plasminogen activator": {},
                "Protein C": {},
            },
            "Category:EC 3.4.22": {"Separase": {}},
            "Category:EC 3.4.23": {
                "Pepsin": {},
                "Rennet": {},
                "Renin": {},
                "Trypsinogen": {},
                "Plasmepsin": {},
            },
            "Category:EC 3.4.24": {"Matrix metalloproteinase": {}},
            "Category:EC 3.4.25": {"Metalloendopeptidase": {}},
        },
        "Category:EC 3.5": {
            "Category:EC 3.5.1": {"Urease": {}},
            "Category:EC 3.5.2": {"Beta-lactamase": {}},
            "Category:EC 3.5.3": {"Arginase": {}},
            "Category:EC 3.5.4": {
                "Adenosine deaminase": {},
                "GTP cyclohydrolase I": {},
            },
            "Category:EC 3.5.5": {"Nitrilase": {}},
        },
        "Category:EC 3.6": {
            "Category:EC 3.6.1": {
                "Helicase": {},
                "DnaB helicase": {},
                "RecQ helicase": {},
            },
            "Category:EC 3.6.3": {"ATPase": {}, "NaKATPase": {}, "ATP synthase": {}},
        },
        "Category:EC 3.7": {"Kynureninase": {}},
        "Category:EC 3.8": {"Haloacetate dehalogenase": {}},
        "Category:EC 3.9": {
            "Phosphoamidase": {},
            "Protein arginine phosphatase": {},
            "Phosphohistidine phosphatase": {},
        },
        "Category:EC 3.10": {
            "N-sulfoglucosamine sulfohydrolase": {},
            "Cyclamate sulfohydrolase": {},
        },
        "Category:EC 3.11": {
            "Phosphonoacetaldehyde hydrolase": {},
            "Phosphonoacetate hydrolase": {},
            "Phosphonopyruvate hydrolase": {},
        },
        "Category:EC 3.12": {"Trithionate hydrolase": {}},
        "Category:EC 3.13": {
            "UDP-sulfoquinovose synthase": {},
            "2'-hydroxybiphenyl-2-sulfinate desulfinase": {},
            "3-sulfinopropanoyl-CoA desulfinase": {},
            "Carbon disulfide hydrolase": {},
            "(CysO sulfur-carrier protein)-S-L-cysteine hydrolase": {},
            "Carbonyl sulfide hydrolase": {},
            "S-adenosyl-L-methionine hydrolase (adenosine-forming)": {},
        },
    },
    "Category:Lyases": {
        "Category:EC 4.1": {
            "Category:EC 4.1.1": {
                "Ornithine decarboxylase": {},
                "Uridine monophosphate synthetase": {},
                "Aromatic-L-amino-acid decarboxylase": {},
                "RubisCO": {},
            },
            "Category:EC 4.1.2": {"Fructose-bisphosphate aldolase": {}},
        },
        "Category:EC 4.2": {
            "Category:EC 4.2.1": {"Carbonic anhydrase": {}, "Tryptophan synthase": {}}
        },
        "Category:EC 4.3": {"Category:EC 4.3.1": {"Phenylalanine ammonia-lyase": {}}},
        "Category:EC 4.4": {
            "Category:EC 4.4.1": {
                "Cystathionine gamma-lyase": {},
                "Cystathionine beta-lyase": {},
                "Leukotriene C4 synthase": {},
            }
        },
        "Category:EC 4.5": {
            "Category:EC 4.5.1": {
                "Dichloromethane dehalogenase": {},
                "Halohydrin dehalogenase": {},
            }
        },
        "Category:EC 4.6": {
            "Category:EC 4.6.1": {"Adenylate cyclase": {}, "Guanylate cyclase": {}}
        },
    },
    "Category:Isomerases": {
        "Category:EC 5.1": {
            "Category:EC 5.1.1": {},
            "Amino-acid racemase": {},
            "Serine racemase": {},
            "Category:EC 5.1.2": {},
            "Mandelate racemase": {},
            "Category:EC 5.1.3": {},
            "UDP-glucose 4-epimerase": {},
            "Category:EC 5.1.99": {},
            "Methylmalonyl CoA epimerase": {},
        },
        "Category:EC 5.2": {
            "Category:EC 5.2": {},
            "FKBP": {},
            "FKBP1B": {},
            "FKBP2": {},
            "FKBP3": {},
            "FKBP4": {},
            "FKBP5": {},
            "FKBP6": {},
            "FKBP8": {},
            "FKBP9": {},
            "FKBP10": {},
            "FKBPL": {},
            "Cyclophilin": {},
            "Parvulin": {},
            "Prolyl isomerase": {},
            "2-chloro-4-carboxymethylenebut-2-en-1,4-olide isomerase": {},
            "Beta-carotene isomerase": {},
            "Farnesol 2-isomerase": {},
            "Furylfuramide isomerase": {},
            "Linoleate isomerase": {},
            "Maleate isomerase": {},
            "Maleylacetoacetate isomerase": {},
            "Maleylpyruvate isomerase": {},
            "Photoisomerase": {},
            "Prolycopene isomerase": {},
            "Retinal isomerase": {},
            "Retinol isomerase": {},
            "Zeta-carotene isomerase": {},
        },
        "Category:EC 5.3": {
            "Category:EC 5.3.3": {"Enoyl CoA isomerase": {}},
            "Category:EC 5.3.4": {"Protein disulfide isomerase": {}},
        },
        "Category:EC 5.4": {"Category:EC 5.4.2": {"Phosphoglucomutase": {}}},
        "Category:EC 5.5": {},
        "Category:EC 5.99": {"Category:EC 5.99.1": {"Topoisomerase": {}}},
    },
    "Category:Ligases": {
        "Category:EC 6.1": {
            "6-carboxytetrahydropterin synthase": {},
            "Category:EC 6.1.1": {"FARSB": {}},
        },
        "Category:EC 6.2": {
            "Acetate--CoA ligase": {},
            "Medium-chain acyl-CoA ligase": {},
            "Long-chain-fatty-acid-CoA ligase": {},
            "Succinate-CoA ligase (GDP-forming)": {},
            "Succinate-CoA ligase (ADP-forming)": {},
            "Glutarate-CoA ligase": {},
            "Cholate-CoA ligase": {},
            "Oxalate-CoA ligase": {},
            "Malate-CoA ligase": {},
            "Acid-CoA ligase (GDP-forming)": {},
            "Biotin-CoA ligase": {},
            "4-coumarate-CoA ligase": {},
            "Acetate-CoA ligase (ADP-forming)": {},
            "6-carboxyhexanoate-CoA ligase": {},
            "Arachidonate-CoA ligase": {},
            "Acetoacetate-CoA ligase": {},
            "Propionate-CoA ligase": {},
            "Citrate-CoA ligase": {},
            "Long-chain-fatty-acid-luciferin-component ligase": {},
            "Long-chain-fatty-acid-(acyl-carrier-protein) ligase": {},
            "Transferred entry: 6.2.1.30": {},
            "(citrate (pro-3S)-lyase) ligase": {},
            "Dicarboxylate-CoA ligase": {},
            "Phytanate-CoA ligase": {},
            "Benzoate-CoA ligase": {},
            "o-succinylbenzoate-CoA ligase": {},
            "4-hydroxybenzoate-CoA ligase": {},
            "3a,7a-dihydroxy-5b-cholestanate-CoA ligase": {},
            "Transferred entry: 6.2.1.7": {},
            "Phenylacetate-CoA ligase": {},
            "2-furoate-CoA ligase": {},
            "Anthranilate-CoA ligase": {},
            "4-chlorobenzoate-CoA ligase": {},
            "Trans-feruloyl-CoA synthase": {},
            "ACP-SH:acetate ligase": {},
            "3-hydroxypropionyl-CoA synthase": {},
            "3-hydroxybenzoate\u2014CoA ligase": {},
            "(2,2,3-trimethyl-5-oxocyclopent-3-enyl)acetyl-CoA synthase": {},
            "(butirosin acyl-carrier protein)\u2014L-glutamate ligase": {},
            "4-hydroxybutyrate-CoA ligase": {},
            "3-((3aS,4S,7aS)-7a-methyl-1,5-dioxo-octahydro-1H-inden-4-yl)propanoate-CoA ligase": {},
            "3-oxocholest-4-en-26-oate-CoA ligase": {},
            "2-hydroxy-7-methoxy-5-methyl-1-naphthoate-CoA ligase": {},
            "3-(methylthio)propionyl-CoA ligase": {},
            "E1 ubiquitin-activating enzyme": {},
            "L-allo-isoleucine--holo-CmaA peptidyl-carrier protein ligase": {},
            "Medium-chain-fatty-acid-(acyl-carrier-protein) ligase": {},
            "Carnitine-CoA ligase": {},
            "Long-chain fatty acid adenylyltransferase FadD28": {},
            "4-hydroxybenzoate adenylyltransferase FadD22": {},
            "4-hydroxyphenylalkanoate adenylyltransferase FadD29": {},
            "L-firefly luciferin-CoA ligase": {},
            "L-proline-L-prolyl-carrier protein ligase": {},
            "D-alanine-D-alanyl-carrier protein ligase": {},
            "E1 SAMP-activating enzyme": {},
        },
        "Category:EC 6.3": {
            "Glutamine synthetase": {},
            "Argininosuccinate synthetase": {},
            "CTP synthase": {},
        },
        "Category:EC 6.4": {"Pyruvate carboxylase": {}, "Acetyl-CoA carboxylase": {}},
        "Category:EC 6.5": {"DNA ligase": {}},
        "Category:EC 6.6": {},
    },
}
